Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -6246,126 +9341,302 @@
            ::= { portSecFDBPermanentEntry 3 }
 
         portSecFDBPermPort OBJECT-TYPE
-            SYNTAX INTEGER
+            SYNTAX INTEGER (1..28)
             MAX-ACCESS read-only
             STATUS current
             DESCRIPTION
-                "The forwarding port of the port security MAC entry."
+                "The forwarding port of the port security MAC entry.
+                For all machines give maximum port number."
             ::= { portSecFDBPermanentEntry 4 }
         
 -- end DLINK_METRO_LIKE_LOCK_ADDRESS_MODE
 
+		portSecTableClearPortList OBJECT-TYPE
+		SYNTAX      PortList
+		MAX-ACCESS  read-write
+		STATUS      current
+		DESCRIPTION
+            "This object allow the user to set the port list for portSecTableClear."
+		::= { securityPortSecurity 3 }
+		
+		portSecTableClear OBJECT-TYPE
+			SYNTAX      TruthValue 
+			MAX-ACCESS  read-write 
+			STATUS      current 
+			DESCRIPTION 
+			"This object allows the user to clear portSecTable entry.
+			Setting  a value of 'true' causes the portSecTable entry to 
+			be cleared."
+			DEFVAL  { false }
+            ::= { securityPortSecurity  4 }
  -- ----------------------------------------------------------
  -- The companyCableDiagnostic Groups
  -- ----------------------------------------------------------
  -- Cable Diagnostics Group --------------------------------------------- --
 
-         cableDiagTriggerIndex OBJECT-TYPE 
-           SYNTAX      Integer32 (1..28)
-           MAX-ACCESS  read-write
+         cableDiagTable OBJECT-TYPE 
+           SYNTAX SEQUENCE OF CableDiagEntry
+           MAX-ACCESS  not-accessible
            STATUS      current 
            DESCRIPTION 
-              "Trigger an interface index to do cable diagnostic."
-           ::= {companyCableDiagnostic 1 }
+              "A table that contains the cable situation for each port."
+           ::= {companyCableDiagnostic 1 }         
+    
+         cableDiagEntry OBJECT-TYPE 
+           SYNTAX      CableDiagEntry  
+           MAX-ACCESS  not-accessible
+           STATUS      current 
+           DESCRIPTION 
+              "A list of cable situations for each port on the device."
+            INDEX { cableDiagPortIndex }
+            ::= { cableDiagTable 1 }
 
-         cableDiagPair1TestResult OBJECT-TYPE
-           SYNTAX INTEGER  {
-                  ok (0),
-                  open (1),
-                  short (2),
-                  notAvailable (5)
-           }
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
+        CableDiagEntry ::= 
+          SEQUENCE {
+              cableDiagPortIndex
+                  Integer32,
+			  cableDiagPortType
+				  INTEGER,
+			  cableDiagLinkStatus
+				  INTEGER,
+			  cableDiagPair1Status
+				  INTEGER,
+			  cableDiagPair2Status
+				  INTEGER,
+			  cableDiagPair3Status
+				  INTEGER,
+			  cableDiagPair4Status
+				  INTEGER,
+		      cableDiagPair1Length
+				  Integer32,
+			  cableDiagPair2Length
+				  Integer32,
+			  cableDiagPair3Length
+			      Integer32,
+		      cableDiagPair4Length
+			      Integer32,
+		      cableDiagAction
+				  INTEGER,
+			  cableDiagStatus
+				  INTEGER	                
+            }
+
+
+        cableDiagPortIndex OBJECT-TYPE
+          SYNTAX      Integer32 (1..28)
+          MAX-ACCESS  read-only 
+          STATUS      current 
+          DESCRIPTION 
+             "The interface index for which the configuration in this 
+              entry applies.
+              For all machines give maximum port number."
+          ::= { cableDiagEntry 1 }
+
+        cableDiagPortType OBJECT-TYPE
+          SYNTAX INTEGER {
+    			fastEthernet(0),
+    			gigaEthernet(1),
+    			other(2)
+    	    	}
+          MAX-ACCESS  read-only
+          STATUS current
+          DESCRIPTION
+            "Indicates the supported port data rate classification."
+          ::= { cableDiagEntry 2 }
+
+        cableDiagLinkStatus OBJECT-TYPE
+          SYNTAX INTEGER {
+               linkdown(0),
+               linkup(1),
+               other(2)
+               }
+          MAX-ACCESS  read-only
+          STATUS  current
+          DESCRIPTION
+            "This object indicates the link status."
+          ::= { cableDiagEntry 3 }
+
+
+        cableDiagPair1Status OBJECT-TYPE
+          SYNTAX INTEGER  {
+               ok(0),
+               open(1),
+               short(2),
+               open-short(3),
+               crosstalk(4),
+               unknown(5),
+               count(6),
+               no-cable(7),
+               other(8)
+            }
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
               "Cable diagnostics pair 1 test result."
-           ::= {companyCableDiagnostic 2 }
+          ::= {cableDiagEntry 4 }
 
-         cableDiagPair1FaultDistance  OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable Diagnostics pair 1 fault distance."
-           ::= {companyCableDiagnostic 3}
+        cableDiagPair2Status OBJECT-TYPE
+          SYNTAX INTEGER  {
+               ok(0),
+               open(1),
+               short(2),
+               open-short(3),
+               crosstalk(4),
+               unknown(5),
+               count(6),
+               no-cable(7),
+               other(8)
+            }
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
+             "Cable diagnostics pair 2 test result."
+          ::= {cableDiagEntry 5 }
 
-         cableDiagPair2TestResult OBJECT-TYPE
-           SYNTAX INTEGER  {
-                  ok (0),
-                  open (1),
-                  short (2),
-                  notAvailable (5)
-           }
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable diagnostics pair 2 test result."
-           ::= {companyCableDiagnostic 4 }
+        cableDiagPair3Status OBJECT-TYPE
+          SYNTAX INTEGER  {
+               ok(0),
+               open(1),
+               short(2),
+               open-short(3),
+               crosstalk(4),
+               unknown(5),
+               count(6),
+               no-cable(7),
+               other(8)
+          }
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
+             "Cable diagnostics pair 3 test result."
+          ::= {cableDiagEntry 6 }
 
-         cableDiagPair2FaultDistance  OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable diagnostics pair 2 fault distance."
-           ::= {companyCableDiagnostic 5}
+        cableDiagPair4Status OBJECT-TYPE
+          SYNTAX INTEGER  {
+               ok(0),
+               open(1),
+               short(2),
+               open-short(3),
+               crosstalk(4),
+               unknown(5),
+               count(6),
+               no-cable(7),
+               other(8)
+          }
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
+             "Cable diagnostics pair 4 test result."
+          ::= {cableDiagEntry 7}
 
-         cableDiagPair3TestResult OBJECT-TYPE
-           SYNTAX INTEGER  {
-                  ok (0),
-                  open (1),
-                  short (2),
-                  notAvailable (5)
-           }
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable diagnostics pair 3 test result."
-           ::= {companyCableDiagnostic 6 }
+        cableDiagPair1Length  OBJECT-TYPE 
+          SYNTAX      Integer32 
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
+             "Cable Diagnostics pair 1 fault distance."
+          ::= {cableDiagEntry 8}
 
-         cableDiagPair3FaultDistance  OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable diagnostics pair 3 fault distance."
-           ::= {companyCableDiagnostic 7}
+        cableDiagPair2Length  OBJECT-TYPE 
+          SYNTAX      Integer32 
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
+             "Cable diagnostics pair 2 fault distance."
+          ::= {cableDiagEntry 9}
 
-         cableDiagPair4TestResult OBJECT-TYPE
-           SYNTAX INTEGER  {
-                  ok (0),
-                  open (1),
-                  short (2),
-                  notAvailable (5)
-           }
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable diagnostics pair 4 test result."
-           ::= {companyCableDiagnostic 8 }
+        cableDiagPair3Length  OBJECT-TYPE 
+          SYNTAX      Integer32 
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
+             "Cable diagnostics pair 3 fault distance."
+          ::= {cableDiagEntry 10}
 
-         cableDiagPair4FaultDistance  OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable diagnostics pair 4 fault distance."
-           ::= {companyCableDiagnostic 9}
+        cableDiagPair4Length  OBJECT-TYPE 
+          SYNTAX      Integer32 
+          MAX-ACCESS  read-only
+          STATUS      current
+          DESCRIPTION
+             "Cable diagnostics pair 4 fault distance."
+          ::= {cableDiagEntry 11}
 
-         cableDiagLengthinRange  OBJECT-TYPE 
-           SYNTAX INTEGER  {
-                  less50 (1),
-                  from50to80 (2),
-                  from80to100 (3),
-                  from100to140 (4),
-                  notAvailable (5)
-           }
-           MAX-ACCESS  read-only
-           STATUS      current
-           DESCRIPTION
-              "Cable diagnostics length when link up in speed 1G.
-               (Display in range)"
-           ::= {companyCableDiagnostic 10}
+        cableDiagAction  OBJECT-TYPE 
+          SYNTAX  INTEGER {
+               action(1),
+               processing(2),
+               other(3)
+               }
+         MAX-ACCESS  read-write
+         STATUS  current
+         DESCRIPTION
+            "Function to run the cable diagnostic on selected port.
+             Can not detect fiber ports"
+         ::= { cableDiagEntry 12} 
+
+
+        cableDiagStatus  OBJECT-TYPE 
+          SYNTAX  INTEGER {
+               notrun(1),
+               processing(2),
+               lasttestok(3),
+               lasttestfailed(4)
+               }
+          MAX-ACCESS  read-only
+          STATUS  current
+          DESCRIPTION
+            "Indicates the status of cable diagnostics on the port.
+            	not-run - cable diagnostics has never been run for this port
+            	processing - cable diagnostics is currently running on the port
+            	last-test-ok - the last cable diagnostics done on the port was successful
+            	last-test-failed - the last cable diagnostics done on the port failed"
+          ::= { cableDiagEntry 13 } 
+         autoCableDiagTable OBJECT-TYPE 
+           SYNTAX SEQUENCE OF AutoCableDiagEntry
+           MAX-ACCESS  not-accessible
+           STATUS      current 
+           DESCRIPTION 
+              "When detecting a port linkdown, system will execute cable diagnostic function on the port, 
+               and then send the trap that includes test result."
+           ::= {companyCableDiagnostic 2 }         
+    
+         autoCableDiagEntry OBJECT-TYPE 
+           SYNTAX      AutoCableDiagEntry  
+           MAX-ACCESS  not-accessible
+           STATUS      current 
+           DESCRIPTION 
+              "When detecting a port linkdown, system will execute cable diagnostic function on the port, 
+               and then send the trap that includes test result."
+            INDEX { autoCableDiagPortIndex }
+            ::= { autoCableDiagTable 1 }
+
+        AutoCableDiagEntry ::= 
+          SEQUENCE {
+              autoCableDiagPortIndex
+                  Integer32,
+              autoCableDiagStatus
+                  INTEGER}
+
+        autoCableDiagPortIndex OBJECT-TYPE
+          SYNTAX      Integer32 (1..28)
+          MAX-ACCESS  read-only 
+          STATUS      current 
+          DESCRIPTION 
+             "The interface index for which the configuration in this 
+              entry applies.
+              For all machines give maximum port number."
+          ::= { autoCableDiagEntry 1 }
+
+        autoCableDiagStatus OBJECT-TYPE
+          SYNTAX INTEGER {
+               enabled (1), 
+               disabled (2)
+          }
+          MAX-ACCESS  read-write
+          STATUS  current
+          DESCRIPTION
+            "This object indicates the link status."
+          ::= { autoCableDiagEntry 2 }
     -- ------------------------------------------------------------------ 
     -- companyACLGroup
     -- ------------------------------------------------------------------
@@ -6373,6 +9644,468 @@
         -- ACL Profile Group --------------------------------------------------
         aclProfile       OBJECT IDENTIFIER ::= { companyACLGroup 1 }
         
+        ipv4aclProfileTable OBJECT-TYPE 
+           SYNTAX      SEQUENCE OF Ipv4AclProfileEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      obsolete 
+           DESCRIPTION 
+               " A table to ACL profile .
+               "
+           ::= { aclProfile 1 }
+        
+        ipv4aclProfileEntry OBJECT-TYPE 
+           SYNTAX      Ipv4AclProfileEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      obsolete 
+           DESCRIPTION 
+               " Each entry in this table is a ACL profile.
+                 Index to the table is ACL profile ID. "
+           INDEX { ipv4aclProfileNo}
+           ::= { ipv4aclProfileTable 1 }
+           
+        Ipv4AclProfileEntry ::= 
+           SEQUENCE { 
+              ipv4aclProfileNo 
+                 Integer32, 
+              ipv4aclProfileType 
+                 INTEGER, 
+              ipv4aclProfileRuleCount 
+                 Integer32,  
+              ipv4aclProfileMask 
+                 OCTET STRING,
+              ipv4aclProfileDstMacAddrMask 
+                 MacAddress,          
+              ipv4aclProfileSrcMacAddrMask 
+                 MacAddress,         
+              ipv4aclProfileIPProtocol  
+                 INTEGER, 
+              ipv4aclProfileIPProtocolMask  
+                 OCTET STRING,  
+              ipv4aclProfileDstIpAddrMask 
+                 IpAddress, 
+              ipv4aclProfileSrcIpAddrMask 
+                 IpAddress,
+              ipv4aclProfileDstPortMask
+                 OCTET STRING,         
+              ipv4aclProfileSrcPortMask
+                 OCTET STRING,       
+              ipv4aclProfileUdfOffsetMap
+                 OCTET STRING,
+              ipv4aclUdfOffsetBase1
+                 INTEGER,
+              ipv4aclUdfOffsetByte1
+                 Integer32,
+              ipv4aclUdfOffsetMask1
+                 OCTET STRING,
+              ipv4aclUdfOffsetBase2
+                 INTEGER,
+              ipv4aclUdfOffsetByte2
+                 Integer32,
+              ipv4aclUdfOffsetMask2
+                 OCTET STRING,
+              ipv4aclUdfOffsetBase3
+                 INTEGER,
+              ipv4aclUdfOffsetByte3
+                 Integer32,
+              ipv4aclUdfOffsetMask3
+                 OCTET STRING,
+              ipv4aclUdfOffsetBase4
+                 INTEGER,
+              ipv4aclUdfOffsetByte4
+                 Integer32,
+              ipv4aclUdfOffsetMask4
+                 OCTET STRING,
+	      ipv4aclUdfDstMacMask
+		 MacAddress,
+       	      ipv4aclUdfSrcMacMask
+		 MacAddress,
+	      ipv4aclUdfCTagMask
+                 OCTET STRING,
+	      ipv4aclUdfSTagMask
+                 OCTET STRING,
+              ipv4aclProfileStatus
+                 RowStatus
+          }
+        
+        ipv4aclProfileNo OBJECT-TYPE 
+           SYNTAX      Integer32 (1..50)
+           MAX-ACCESS  read-only 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile ID. The ID 1 to 50 is user-defined ACL,
+               and the ID more than 50 is reserved for system-defined ACL.
+               The user only allow to create user-defined ACL ID.
+               And system-defined ACL is read only."
+           ::= { ipv4aclProfileEntry 1 }
+        
+        ipv4aclProfileType OBJECT-TYPE 
+           SYNTAX   INTEGER  {
+                          l2 (1),
+                          l3 (2),
+                          impb (3),
+                          aclQos (8) ,
+                          userDefined(9)
+                       }
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile type, possible value are
+              l2 (1) - for MAC-based rule, 
+              l3 (2) - for IPv4-based rule,
+              voiceVlan(6) - for Voice VLAN OUI entry.
+              userDefined(9) - for User Defined entry.
+              Note that only l2, l3 and userDefined could be set by user, 
+              other is reserved for system to show information.
+              "
+           ::= { ipv4aclProfileEntry 2 }
+        
+        ipv4aclProfileRuleCount  OBJECT-TYPE 
+           SYNTAX   Integer32 (0..65535)
+           MAX-ACCESS   read-only 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The number of rules in this profile."
+           ::= { ipv4aclProfileEntry 3 }
+              
+              
+        ipv4aclProfileMask OBJECT-TYPE 
+           SYNTAX   OCTET STRING
+           MAX-ACCESS   read-write  
+           STATUS      obsolete 
+           DESCRIPTION 
+              "Indicate which field want to care in the packet.
+               Turn on the following bits to select the following items
+               Type        Item                   BIT         
+               ------------------------------------------
+               L2          DST_MAC                0 (LSB)        
+               L2          SRC_MAC                1         
+               L2          VID                    2         
+               L2          8021P_PRIORITY         3         
+               L2          ETHER_TYPE             4         
+               L3          DSCP                   5         
+               L3          ICMP_TYPE              6         
+               L3          ICMP_CODE              7         
+               L3          IGMP_TYPE              8         
+               L3          DST_IP                 9         
+               L3    	   SRC_IP                 10        
+               L3    	   DST_PORT               11        
+               L3          SRC_PORT               12
+               L3          TCPFLAG                13 (MSB)
+               L3          TOS                    16
+               UDF         UDF1                   17
+               UDF         UDF2                   18
+               UDF         UDF3                   19
+               UDF         UDF4                   20
+               L3v6        TRAFFIC_CLASS          21
+               L3v6        DST_IPV6               22  
+               L3v6        SRC_IPV6               23  (MSB)
+               -------------------------------------------
+               
+               The value is in Hex format.
+              "
+           ::= { ipv4aclProfileEntry 4 }      
+       
+
+        ipv4aclProfileDstMacAddrMask OBJECT-TYPE 
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile destination MAC address mask.
+               If DST_MAC is turn on in aclProfileMask, 
+               it will work with its member rule field,aclL2RuleDstMacAddr, 
+               to caculate a range of MAC address which is really care.
+              "
+           ::= { ipv4aclProfileEntry 5 }
+        
+        
+        ipv4aclProfileSrcMacAddrMask OBJECT-TYPE 
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile source MAC address mask.
+               If SRC_MAC is turn on in aclProfileMask, 
+               it will work with its member rule field,aclL2RuleSrcMacAddr, 
+               to caculate a range of MAC address which is really care.
+              "
+           ::= { ipv4aclProfileEntry 6 }
+        
+        
+        ipv4aclProfileIPProtocol OBJECT-TYPE 
+           SYNTAX   INTEGER  {  
+                         none(0),   
+           				 icmp(1),
+           				 igmp(2),
+           				 tcp(6),
+          				 udp(17),
+          				 icmpv6(58)
+                         ,ipProtocolMask(255)
+                        }
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "Indicate which IP Protocol will be care in this profile.
+               Only profile type is l3 can set the IP protocol.
+               For others, this field will be none.
+              "
+           ::= { ipv4aclProfileEntry 7 } 
+        ipv4aclProfileIPProtocolMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile IP protocol mask.
+               If aclProfileIPProtocol set to ipMask, this field will be refered.
+               It will work with its member rule field,aclL3RuleProtocol, 
+               to caculate a range of IP protocol which is really care.
+               The value is in HEX format.
+              "
+           DEFVAL  { 'FF'h }   
+           ::= { ipv4aclProfileEntry 8 }
+        ipv4aclProfileDstIpAddrMask OBJECT-TYPE 
+           SYNTAX      IpAddress
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile destination IP address mask.
+               If DST_IP is turn on in aclProfileMask, 
+               it will work with its member rule field,aclL3RuleDstIpAddr, 
+               to caculate a range of IP address which is really care.
+               The value is in HEX format, for example:
+               '255.255.255.0' is presented to 'FFFFFF00'
+              "
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { ipv4aclProfileEntry 9 }
+        
+        
+        ipv4aclProfileSrcIpAddrMask OBJECT-TYPE 
+           SYNTAX      IpAddress
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile source IP address mask.
+               If SRC_IP is turn on in aclProfileMask, 
+               it will work with its member rule field,aclL3RuleSrcIpAddr, 
+               to caculate a range of IP address which is really care.
+               The value is in HEX format, for example:
+               '255.255.255.0' is presented to 'FFFFFF00'
+              "
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { ipv4aclProfileEntry 10 }
+        
+        ipv4aclProfileDstPortMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile UDP/TCP destination port mask.
+               If DST_PORT is turn on in aclProfileMask, 
+               it will work with its member rule field,aclL3RuleTcpUdpDstPort, 
+               to caculate a range of destination port which is really care.
+               The value is in HEX format.
+              "
+           DEFVAL  { 'FFFF'h }   
+           ::= { ipv4aclProfileEntry 11 }
+           
+        
+        ipv4aclProfileSrcPortMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The ACL Profile UDP/TCP source port mask.
+               If SRC_PORT is turn on in aclProfileMask, 
+               it will work with its member rule field,aclL3RuleTcpUdpSrcPort, 
+               to caculate a range of source port which is really care.
+               The value is in HEX format.
+              "
+           DEFVAL  { 'FFFF'h }     
+           ::= { ipv4aclProfileEntry 12 }   
+
+
+        ipv4aclProfileUdfOffsetMap OBJECT-TYPE 
+           SYNTAX   OCTET STRING
+           MAX-ACCESS   read-write  
+           STATUS       obsolete 
+           DESCRIPTION 
+              "Indicate which Udf field want to care in the packet.
+               Turn on the following bits to select the following items
+               Type        Item                   BIT         
+               ------------------------------------------
+               UDF         Offset1                 0 (LSB)        
+               UDF         Offset2                 1         
+               UDF         Offset3                 2         
+               UDF         Offset4                 3         
+               -------------------------------------------
+               
+               The value is in Hex format.
+              "
+           ::= { ipv4aclProfileEntry 15 }  
+           
+        ipv4aclUdfOffsetBase1  OBJECT-TYPE 
+           SYNTAX     INTEGER  {
+                          l2 (0),
+                          l3 (2),
+                          l4 (3)
+                       }
+           MAX-ACCESS   read-write
+           STATUS       obsolete 
+           DESCRIPTION 
+              "The value of offset Base."
+           ::= { ipv4aclProfileEntry 16 }
+
+        ipv4aclUdfOffsetByte1  OBJECT-TYPE 
+           SYNTAX   Integer32 (0..31)
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset Byte from base."
+           ::= { ipv4aclProfileEntry 17 }
+
+        ipv4aclUdfOffsetMask1  OBJECT-TYPE 
+           SYNTAX   OCTET STRING
+           MAX-ACCESS   read-write
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset MAsk."
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { ipv4aclProfileEntry 18 }
+
+        ipv4aclUdfOffsetBase2  OBJECT-TYPE 
+           SYNTAX     INTEGER  {
+                          l2 (0),
+                          l3 (2),
+                          l4 (3)
+                       }
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset Base."
+           ::= { ipv4aclProfileEntry 19 }
+
+        ipv4aclUdfOffsetByte2  OBJECT-TYPE 
+           SYNTAX   Integer32 (0..31)
+           MAX-ACCESS   read-write
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset Byte from base."
+           ::= { ipv4aclProfileEntry 20 }
+
+        ipv4aclUdfOffsetMask2  OBJECT-TYPE 
+           SYNTAX   OCTET STRING
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset MAsk."
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { ipv4aclProfileEntry 21 }
+           
+        ipv4aclUdfOffsetBase3  OBJECT-TYPE 
+           SYNTAX     INTEGER  {
+                          l2 (0),
+                          l3 (2),
+                          l4 (3)
+                       }
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset Base."
+           ::= { ipv4aclProfileEntry 22 }
+
+        ipv4aclUdfOffsetByte3  OBJECT-TYPE 
+           SYNTAX   Integer32 (0..31)
+           MAX-ACCESS   read-write
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset Byte from base."
+           ::= { ipv4aclProfileEntry 23 }
+
+        ipv4aclUdfOffsetMask3  OBJECT-TYPE 
+           SYNTAX   OCTET STRING
+           MAX-ACCESS   read-write
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset MAsk."
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { ipv4aclProfileEntry 24 }
+           
+        ipv4aclUdfOffsetBase4  OBJECT-TYPE 
+           SYNTAX     INTEGER  {
+                          l2 (0),
+                          l3 (2),
+                          l4 (3)
+                       }
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset Base."
+           ::= { ipv4aclProfileEntry 25 }
+
+        ipv4aclUdfOffsetByte4  OBJECT-TYPE 
+           SYNTAX   Integer32 (0..31)
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset Byte from base."
+           ::= { ipv4aclProfileEntry 26 }
+
+        ipv4aclUdfOffsetMask4  OBJECT-TYPE 
+           SYNTAX   OCTET STRING
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of offset MAsk."
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { ipv4aclProfileEntry 27 }
+
+        ipv4aclUdfDstMacMask  OBJECT-TYPE 
+           SYNTAX       MacAddress
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of destination MAC mask."
+           ::= { ipv4aclProfileEntry 28 }
+
+        ipv4aclUdfSrcMacMask  OBJECT-TYPE 
+           SYNTAX       MacAddress
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of source MAC mask."
+           ::= { ipv4aclProfileEntry 29 }
+
+        ipv4aclUdfCTagMask  OBJECT-TYPE 
+           SYNTAX       OCTET STRING
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of c-tag mask."
+           ::= { ipv4aclProfileEntry 30 }
+
+        ipv4aclUdfSTagMask  OBJECT-TYPE 
+           SYNTAX       OCTET STRING
+           MAX-ACCESS   read-write 
+           STATUS      obsolete 
+           DESCRIPTION 
+              "The value of s-tag mask."
+           ::= { ipv4aclProfileEntry 31 }
+
+        ipv4aclProfileStatus OBJECT-TYPE 
+           SYNTAX      RowStatus
+           MAX-ACCESS  read-create 
+           STATUS      obsolete 
+           DESCRIPTION 
+               " This object indicates the status of this entry, can only be set to
+                 'createAndWait','active' and 'destroy'. 
+                 When the value of the entry status is 'createAndWait', it could be 
+                 set to 'active' only if the three values of aclProfileType,
+                 aclProfileMask and ProtocolType are not conflicted.
+               "
+        
+           ::= { ipv4aclProfileEntry 32 }
+
+        -- IPv6 ACL Profile Group --------------------------------------------------
         aclProfileTable OBJECT-TYPE 
            SYNTAX      SEQUENCE OF AclProfileEntry
            MAX-ACCESS  not-accessible 
@@ -6380,7 +10113,7 @@
            DESCRIPTION 
                " A table to ACL profile .
                "
-           ::= { aclProfile 1 }
+           ::= { aclProfile 2 }
         
         aclProfileEntry OBJECT-TYPE 
            SYNTAX      AclProfileEntry
